Summary:	Display a message using GTK+2 (like xmessage)
Summary(pl.UTF-8):	Program wyświetlający komunikat używając GTK+2 (podobny do xmessage)
Name:		gxmessage
Version:	2.20.0
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://homepages.ihug.co.nz/~trmusson/stuff/%{name}-%{version}.tar.gz
# Source0-md5:	f4160442548bdd90895b008b85df0f6e
URL:		http://homepages.ihug.co.nz/~trmusson/programs.html#gxmessage
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gxmessage is a GTK+2 based clone of xmessage. It is used to display a
message box with a text specified on the command line, a file or via a
pipe.

%description -l pl.UTF-8
gxmessage jest klonem xmessage korzystającym z GTK+2. Można go
wykorzystać do wyświetlania okienek z tekstem podanym z linii poleceń,
pliku lub potoku.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/gxmessage.1*
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jul 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gxmessage.git;a=log;h=master

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 150edfe
- release 2 (by relup.sh)

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> b088049
- Up to 2.20.0

* Sat Feb 19 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 14b14a3
- update icon cache in post/postun

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> e4c1e61
- BR: intltool

* Thu Dec 09 2010 Caleb Maclennan <caleb@alerque.com> dbe030f
- Up to 2.12.4

* Mon Sep 29 2008 Zsolt Udvari <uzsolt@pld-linux.org> 928d412
- typo

* Sun Mar 09 2008 czarny <czarny@pld-linux.org> a66d51d
- up to 2.6.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2659d47
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> abc39fb
- converted to UTF-8

* Fri Sep 15 2006 Elan Ruusamäe <glen@pld-linux.org> e2d5edb
- don't assume man compression

* Sat Sep 09 2006 Marcin Banasiak <marcin.banasiak@gmail.com> b9f4c22
- up to 2.6.1

* Thu Jul 28 2005 saq <saq@pld-linux.org> 5fcba92
- up to 2.4.4

* Thu Feb 24 2005 aniolek <aniolek@pld-linux.org> 7aeae73
- updated to 2.4.1

* Tue Nov 30 2004 paladine <paladine@pld-linux.org> b691e55
- updated to 2.4.0

* Sat Nov 27 2004 saq <saq@pld-linux.org> 164bf7c
- massive attack: add missing gtk+2-devel epoch in BR

* Sat Nov 27 2004 zbyniu <zbyniu@pld-linux.org> c09d800
- BR: pkgconfig

* Thu Jun 17 2004 Jakub Bogusz <qboosh@pld-linux.org> 467230c
- typo, cosmetics

* Thu Jun 17 2004 jpc <jpc@pld-linux.org> 87403c3
- new spec

